<?php
	include_once("../core/basededatos.php");
	include_once("../core/Usuario.php");
	include_once("../core/Paciente.php");
	include_once("../core/Semana.php");
	include_once("../core/Historia.php");
	include_once("../core/Cita.php");
	include_once("../core/Documento.php");
	include_once("../core/Receta.php");
	require('fpdf.php');
	session_start();	
	header("Content-Type:application/xhtml+xml; charset=ISO-8859-1");

	$pdf=new FPDF();
	
	if ($_GET['Pac'] != "No") {
		$paciente = new Paciente();
		$paciente->id = $_GET['Pac'];
		$paciente->obtenerdatos();
	}	
	
	
	$pdf->AddPage();
	$pdf->SetAutoPageBreak(true);
	$pdf->SetFont('Arial','B',12);
	//Color Rojo
	//$pdf->SetTextColor(255,0,0);
	
	
	if ($_POST['Imprimir']) {
		$documento = new Documento();
		
		$texto1 = $_POST['txt_receta'];
		$texto2 = "LA PAZ B.C.S. ".$documento->fechaTexto();
		$textofinal = $texto1;
		
		$receta = new Receta();
		$receta->texto1 = $texto1;
		$receta->texto2 = $texto2;
		if (!$receta->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Receta.";
		}
		$receta->id = mysql_insert_id();
		
		$documento->tipo = "receta";
		$documento->texto = $textofinal;
		$documento->id_paciente = $paciente->id;
		$documento->fecha = date(Y."-".m."-".d);
		$documento->textoid = $receta->id;
		if (!$documento->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Documento.";
		}
		
		
	} else {
		$documento = new Documento();
		$documento->id = $_GET['Doc'];
		$documento->obtenerdatos();
				
		$receta = new Receta();
		$receta->id = $documento->textoid;
		$receta->obtenerdatos();
		
		$texto1 = $receta->texto1;
		$texto2 = $receta->texto2;
	}
	
	
	$pacientenombrecompleto = "NOMBRE: ".$paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom;
	$pacientedatos = "EDAD: ".$paciente->obtenerEdad()." AŅOS - SEXO: ".$paciente->despliegasexo();
	
	$pdf->SetXY(0,0);
	$pdf->Cell(10,40,'',0,1);	
	$pdf->Cell(180,5,$pacientenombrecompleto,0,1,L);
	$pdf->Cell(180,5,$pacientedatos,0,1,L);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto1);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$texto2,0,1,R);
					
	$pdf->Output();
?>